ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
-  package fragment
  Definition Classes
    ds
-  package read
  Definition Classes
    ds
-  package sequence
  Definition Classes
    ds
-  package variant
  Definition Classes
    ds
- ADAMContext
- ADAMSaveAnyArgs
- AvroGenomicDataset
- AvroReadGroupGenomicDataset
- DatasetBoundGenericGenomicDataset
- DatasetBoundGenomicDataset
- FullOuterShuffleRegionJoin
- GenericConverter
- GenericGenomicDataset
- GenomeBins
- GenomicBroadcast
- GenomicDataset
- GenomicDatasetConversion
- GenomicDatasetWithLineage
- GenomicPositionPartitioner
- GenomicRegionPartitioner
- InFormatter
- InFormatterCompanion
- InnerShuffleRegionJoin
- InnerShuffleRegionJoinAndGroupByLeft
- InnerTreeRegionJoin
- InnerTreeRegionJoinAndGroupByRight
- LeftOuterShuffleRegionJoin
- LeftOuterShuffleRegionJoinAndGroupByLeft
- MultisampleAvroGenomicDataset
- MultisampleGenomicDataset
- OutFormatter
- RDDBoundGenericGenomicDataset
- ReferencePartitioner
- RegionJoin
- RightOuterShuffleRegionJoinAndGroupByLeft
- RightOuterTreeRegionJoin
- RightOuterTreeRegionJoinAndGroupByRight
- ShuffleRegionJoin
- SortedIntervalPartitionJoinWithVictims
- TreeRegionJoin
- VictimlessSortedIntervalPartitionJoin

c

org.bdgenomics.adam.ds

# InnerTreeRegionJoinAndGroupByRight 

###

#### case class InnerTreeRegionJoinAndGroupByRight[T, U]()(implicit evidence$5: ClassTag[T], evidence$6: ClassTag[U]) extends RegionJoin[T, U, Iterable[T], U] with TreeRegionJoin[T, U, Iterable[T], U] with Product with Serializable

Performs an inner region join, followed logically by grouping by the right value. This is implemented without any shuffling; the join naturally returns values on the left grouped by the right value.

Linear Supertypes
Product, Equals, TreeRegionJoin[T, U, Iterable[T], U], RegionJoin[T, U, Iterable[T], U], Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InnerTreeRegionJoinAndGroupByRight
2. Product
3. Equals
4. TreeRegionJoin
5. RegionJoin
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InnerTreeRegionJoinAndGroupByRight()(implicit arg0: ClassTag[T], arg1: ClassTag[U])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def broadcastAndJoin(tree: IntervalArray[ReferenceRegion, T], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Iterable[T], U)]
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  def join(broadcastTree: Broadcast[IntervalArray[ReferenceRegion, T]], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Iterable[T], U)]
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def partitionAndJoin(baseRDD: RDD[(ReferenceRegion, T)], joinedRDD: RDD[(ReferenceRegion, U)]): RDD[(Iterable[T], U)]

    Performs an inner join between two RDDs, followed by a groupBy on the right object.

    Performs an inner join between two RDDs, followed by a groupBy on the right object.

    baseRDD

      The 'left' side of the join

    joinedRDD

      The 'right' side of the join

    returns

      An RDD of pairs (Iterable[x], y), where the Iterable[x] is from baseRDD, y is from joinedRDD, and all values in the Iterable[x] are aligned at regions that overlap the region corresponding to y. If the iterable is empty, the key-value pair is filtered out.

    Definition Classes
      InnerTreeRegionJoinAndGroupByRight → RegionJoin
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Product

### Inherited from Equals

### Inherited from TreeRegionJoin[T, U, Iterable[T], U]

### Inherited from RegionJoin[T, U, Iterable[T], U]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped